# buildFinished

abstract fun buildFinished(closure: Closure)

### Deprecated

This method is not supported when configuration caching is enabled.

Adds a closure to be called when the build is completed. All selected tasks have been executed. A BuildResult instance is passed to the closure as a parameter.

#### Parameters

closure

The closure to execute.

#### See also

FlowProviders

abstract fun buildFinished(action: Action<in BuildResult>)

### Deprecated

This method is not supported when configuration caching is enabled.

Adds an action to be called when the build is completed. All selected tasks have been executed.

#### Since

3.4

#### Parameters

action

The action to execute.

#### See also

FlowProviders